package com.gh.gamecenter.feature.entity

import android.os.Parcelable
import com.gh.gamecenter.common.annotation.SyncPage
import com.gh.gamecenter.common.syncpage.SyncFieldConstants
import com.google.gson.annotations.SerializedName
import kotlinx.parcelize.Parcelize

/**
 * Created by khy on 11/12/17.
 */
@Parcelize
data class Questions(
    @SerializedName("_id")
    var id: String = "",
    var title: String? = "",
    @SerializedName("community_name")
    var communityName: String? = "", // 只在问题列表有效
    @SyncPage(syncNames = [SyncFieldConstants.ANSWER_COUNT])
    @SerializedName("answer_count")
    var answerCount: Int = 0,
    var description: String? = "",
    var videos: List<CommunityVideoEntity> = arrayListOf(),
    var images: ArrayList<String> = ArrayList(),
    @SerializedName("images_info")
    var imagesInfo: ArrayList<ImageInfo> = ArrayList(),
    val time: Long = 0,
    var me: MeEntity = MeEntity(),
    val count: Count = Count()
) : Parcelable {
}